/*
 * Copyright 2022 Maximillian Leonov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

pluginManagement {
    includeBuild("build-logic")
    repositories {
        gradlePluginPortal()
        google()
        mavenCentral()
    }
}

dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
    }
}

rootProject.name = "Cinemax"

include(":app")
include(":benchmark")
include(":core:core-common")
include(":core:core-data")
include(":core:core-database")
include(":core:core-network")
include(":core:core-domain")
include(":core:core-model")
include(":core:core-ui")
include(":core:core-designsystem")
include(":core:core-navigation")
include(":features:feature-home")
include(":features:feature-search")
include(":features:feature-wishlist")
include(":features:feature-settings")
include(":features:feature-list")
include(":features:feature-details")
